This file shows the changes in recent releases of Evolution CMS. The most current release is usually the
development release, and is only shown to give an idea of what's currently in the pipeline.

Evolution CMS 3.5.6 (Apr 19, 2026)
* [2106997] - [FIX] Keep the light theme toggle out of the active state. (middle:Duck)
* [6c1a94b] - [FIX] Prevent zero-size dump batches for small tables. (middle:Duck)
* [8d8dcdd] - [FIX] Replace redundant roles logout and view developers list with dashboard widgets recent changes and online users view roles. (Artur Kyryliuk)
* [1aff71a] - [FIX] Fixed semi-transparency making protected resource titles hard to read. (Artur Kyryliuk)
* [8ca05ab] - [FIX] Keep lightness active menu items readable. (middle:Duck)
* [9f3f064] - [FIX] Remap dashboard widget permissions during updates. (middle:Duck)
* [d3ff323] - [FIX] Bootstrap legacy tree state for TinyMCE4 link dialogs. (middle:Duck)
* [bb537a0] - [UPD] Guard file_groups creation in migrations. (middleDuckAi)
* [35b4820] - [DEL] Liquid draft theme. (middle:Duck)
* [09f072f] - [UPD] Refresh Store module for 0.2.0. (middleDuckAi)
* [a4188e5] - [UPD] Polish Store UI follow-ups. (middleDuckAi)
* [b42873e] - [UPD] Restore TinyMCE4 legacy API compatibility. (middleDuckAi)
* [de3cef1] - [UPD] Add legacy Store delete flow and UI polish. (middleDuckAi)
* [8cec37b] - [REF] Stabilize Store runtime task flows and installed-state handling. (middleDuckAi)
* [652631c] - [UPD] Cache console catalog and unify initial load. (middleDuckAi)
* [b361c6a] - [UPD] Align catalog loader with Evo default style. (middleDuckAi)
* [6f019f1] - [UPD] Remove custom catalog loader and align layout. (middleDuckAi)
* [ddfa745] - [UPD] Remove module version from title. (middleDuckAi)

Evolution CMS 3.5.5 (Apr 07, 2026)
* [d027f4d] - [REF] Finalized the MODX_* to EVO_* compatibility transition and prepared legacy constants for removal. (Seiger)
* [8b0e83a] - [ADD] Added resource group ACL management for the file and image managers. (Artur Kyryliuk)
* [dd7e331] - [ADD] Added `deprecated:list` command to find code marked for removal by semantic version. (Artur Kyryliuk)
* [550cf13] - [FIX] TransAlias now uses the current manager language for alias transliteration. (middle:Duck)
* [01e4267] - [FIX] Preserved explicit TransAlias table overrides when custom table settings are used. (middle:Duck)
* [d4dfcb9] - [FIX] Preserved portable path settings when saving system configuration. (middle:Duck)
* [6f77af6] - [FIX] Prioritized KCFinder callbacks over TinyMCE fallback in the file browser flow. (middle:Duck)
* [a6ff481] - [FIX] Prevented moving documents into deleted resources from the manager tree. (middle:Duck)
* [63f3bd5] - [FIX] Resolved an internal forward loop that could break request processing. (Seiger)
* [44ab3f4] - [REF] Updated Composer dependencies, improved tests, and fixed multiple PHP 8.4 deprecation warnings. (Artur Kyryliuk)

Evolution CMS 3.5.4 (Feb 20, 2026)
* [1dc4453] - [REF] Mark $modx as Deprecated. (Seiger)
* [1aaf916] - [FIX] Reverted prefix placeholder support and fixed login issue. (Elcreator)
* [236b1ec] - [FIX] Reverted inability to login if NO_SESSION is set. (Elcreator)
* [5e4704f] - [FIX] MCPUK via evo.EVO_MANAGER_URL. (Seiger)

Evolution CMS 3.5.3 (Feb 19, 2026)
* [GitHub: 032c5dd] - [ADD] Automatic register alias config file for custom packages. (Seiger)
* [GitHub: e46ec54] - [ADD] Laravel session compatibility layer through EvoSessionProxy and middleware integration. (Dmi3yy)
* [GitHub: 6ded2cb] - [ADD] Initialize Laravel session support in manager via EvoSessionProxy. (Dmi3yy)
* [GitHub: 8541461] - [ADD] SQLite to the web installer. (Elcreator)
* [GitHub: b3db5ce] - [ADD] Init new theme liquid. (Dmi3yy)
* [GitHub: 243020b] - [ADD] Introduce refined tab and popup styles, update theme variables, and adjust menu padding for improved UI consistency. (Dmi3yy)
* [GitHub: 7857ee8] - [ADD] Add SqliteDumper class and integrate SQLite backup support into database management actions. (Dmi3yy)
* [GitHub: 60da28d] - [ADD] Preset install command. (Dmi3yy)

Evolution CMS 3.5.1 (Jan 02, 2026)
* [GitHub: 3ce16e5] - [ADD] Performance optimization: cache dotenv to speed up bootstrap. (Seiger)
* [GitHub: f0ba72a] - [FIX] Dates. (Seiger)
* [GitHub: cc2fb6b] - [FIX] Fixes #2164: speed up TTFB performance. (Seiger)
* [GitHub: 0eea7ad] - [FIX] style typo error (Dmi3yy)
* [GitHub: 0c141c2] - [FIX] Phx inarray (Dmi3yy)

Evolution CMS 3.5.0 (Dec 25, 2025)
* [GitHub: ff5dfb9] - [UPD] logo animation color (Dmi3yy)
* [GitHub: a8d63c5] - [UPD] Logo  (Dmi3yy)
* [GitHub: 368863d] - [FIX] Helper data_is_json() for PHP 8.4. (Seiger)
* [GitHub: a4a36cd] - [ADD] Blade icons (Dmi3yy)
* [GitHub: 60f2d9b] - [FIX] Tracy Debug for PHP 8.4. (Seiger)
* [GitHub: 4f7bc49] - [FIX] SqlFormatter for PHP 8.4. (Seiger)
* [GitHub: c00ff21] - [FIX] Refactor support collations. (Seiger)
* [GitHub: 4566426] - [UPD] Core to Laravel 12. (Seiger)
* [GitHub: d5337c2] - [DEL] Salo 2. (Seiger)
* [GitHub: 02f122a] - [FIX] DB Collation on WEB installer. (Seiger)
* [GitHub: d786389] - [UPD] Evolution 3.5 new background (Dmi3yy)
* [GitHub: 77a0cc4] - [UPD] login style (Dmi3yy)
* [GitHub: 0302954] - [UPD] Font to roboto (Dmi3yy)
* [GitHub: 344a841] - [FIX] Console error in tree (Dmi3yy)
* [GitHub: c2bfdd2] - [FIX] Style in tree (Dmi3yy)
* [GitHub: 510d42b] - [UPD] update main icons to tabler (Dmi3yy)
* [GitHub: 6233553] - [UPD] update left menu (Dmi3yy)
* [GitHub: 6440598] - [UPD] update dashboard (Dmi3yy)
* [GitHub: 5b91093] - [ADD] Initial Migration. (Seiger)
* [GitHub: dfa70bc] - [ADD] Initial Seed. (Seiger)
* [GitHub: 37b625b] - [FIX] Warning EVO_INSTALL_TIME. (Seiger)
* [GitHub: 76cf432] - [ADD] Admin User seed. (Seiger)

Evolution CMS 3.3.0 (Nov 07, 2025)
* !!! Notice: minimum PHP version 8.3. !!!
* [GitHub: 74dd478] - Add Priority registration Service Providers. (Seiger)
* [GitHub: 8400156] - Add niceEta - Format ETA seconds into human-readable format. (Seiger)
* [GitHub: 7858c0a] - Add Multiply Tailwind css files compile. (Seiger)
* [GitHub: f2355a6] - Fix missing value from config. (elcreator)
* [GitHub: d6ecb76] - Fix Ignore suffix is Manager Middleware. (Seiger)
* [GitHub: bfef7e7] - Fix Mark nicesize() as deprecated, use niceSize() via ISO standard. (Seiger)
* [GitHub: b3a71f2] - Fix Refactor MODX_CLASS to EVO_CLASS. (Seiger)
* [GitHub: af8c774] - Fix Support PHP 8.4. (Seiger)
* [GitHub: 0899f09] - Fix Logo images. (Dmi3yy)

Evolution CMS 3.2.7 (Aug 4, 2025)
* [GitHub: 10ad67b] - Add Core up to Laravel 11. (Seiger)
* [GitHub: d746b49] - Add Specified Evolution CMS version via platform-packages to check module compatibility. (Seiger)
* [GitHub: 8316dd8] - Add Directive @evoConfig(). (Seiger)
* [GitHub: c187865] - Add Tailwind CSS v4 with Build command without Node.js. (Seiger)
* [GitHub: 5a3272b] - Add CSP via nonce and removed jQuery dependency in the web installer. (elcreator)
* [GitHub: 8be64dc] - Add Command for missing translation keys. (elcreator)
* [GitHub: 1588ec7] - Fix Core Method sendRedirect(). (Seiger)
* [GitHub: af8c774] - Fix Installation failure when DB name contains dash. (elcreator)
* [GitHub: 0071423] - Fix CLI EVO installer. (Seiger)

Evolution CMS 3.2.6 (May 25, 2025)
* [GitHub: c6db1d0] - Add Implemented automatic detection of foreign key dependency handling for database backup. (Seiger)
* [GitHub: 4e1078c] - Add EVO_ define configs. (Seiger)
* [GitHub: 746d8c7] - Add Composer update in CLI installation. (Seiger)
* [GitHub: e0ee516] - Add Azerbaijani lang. (Seiger)
* [GitHub: 50c6d16] - Add DE core updater. (Seiger)
* [GitHub: 74bd6e5] - Add Access to all groups is Role Admin on frontend. (Seiger)
* [GitHub: 6654bf6] - Add Name of the module being Execute module. (Seiger)
* [GitHub: 54c455e] - Add Ability to log module events. (Seiger)
* [GitHub: e836aa7] - Add Daily log with project name. (Seiger)
* [GitHub: 0986af2] - Fix Replaced hardcoded path with actual one in the error description. (elcreator)
* [GitHub: 2c4a0dc] - Fix Inability to log in to admin panel if NO_SESSION is set. (elcreator)
* [GitHub: 9ca046e] - Fix Assets path and Url generate. (Seiger)
* [GitHub: af8c774] - Fix TracyServiceProvider for PHP 8+. (Juniorbuka)
* [GitHub: 2376df3] - Fix RSS widgets error if an RSS link is empty. (Seiger)
* [GitHub: 464b891] - Fix Last active users action. (Seiger)
* [GitHub: 9436cb6] - Fix Deprecated htmlspecialchars(). (Seiger)

Evolution CMS 3.2.5 (May 31, 2024)
* [GitHub: 25400e7] - Fix PHP 8.3 fixes. (Seiger)
* [GitHub: e275891] - Fix Json error in TV Controller. (Seiger)
* [GitHub: 0692c69] - Fix Manager CSS version and refactor code. (Seiger)
* [GitHub: ef7241f] - Fix Last users highlight. (Seiger)
* [GitHub: e33b3ec] - Fix Image browser. (Seiger)
* [GitHub: 8f1fde6] - Add License file. (Seiger)

Evolution CMS 3.2.4 (December 7, 2023)
* [GitHub: 29045e9] - Add Nginx config file. (Seiger)
* [GitHub: bda3ee8] - Add 'document' as content type in case if it's defaulted due to plugin error. (elcreator)
* [GitHub: 9a0f5e9] - Fix security CVE-2023-43340-Evolution-Reflected-XSS---Installation-Admin-Options (GHSA-432f-967f-vxg4). (Seiger)
* [GitHub: 770a6f3] - Fix security CVE-2023-43341-Evolution-Reflected-XSS---Installation-Connection- (GHSA-5h47-9rm5-fx3f). (Seiger)
* [GitHub: 77064bb] - Fix PHP 8 errors in page to show document's data. (Seiger)
* [GitHub: 7d8e446] - Fix Resources tree. (Seiger)
* [GitHub: c2d7261] - Fix text/html content type by default.text/html content type by default. (Seiger)
* [GitHub: 12862bf] - Fix UK translates. (Seiger)
* [GitHub: a49b088] - Fix Manager lang if install lang is English. (Seiger)
* [GitHub: fe7f44c] - Fix Refactor installation. (Seiger)
* [GitHub: 1e472b3] - Fix Refactor executeParser(). (Seiger)

Evolution CMS 3.2.3 (August 29, 2023)
* [GitHub: 818812a] - Add WEBP thumbnail. (Seiger)
* [GitHub: 1a1e0e9] - Add Active class for custom admin panel menu item. (Seiger)
* [GitHub: 779f4ad] - Add setLexicon(). (Seiger)
* [GitHub: a975842] - Fix Standard link not working #2065. (Seiger)
* [GitHub: 5643a1e] - Fix Bug with getDocumentChildren() and getAllChildren() #2089. (Seiger)
* [GitHub: 16d1956] - Fix Error: The session id is too long or contains illegal character #2104. (Seiger)
* [GitHub: 2931ba6] - Fix Help tabs refactor. (Seiger)
* [GitHub: 8a8725a] - Fix Core toDateFormat with Nesbot Carbon. (Seiger)
* [GitHub: ed97c18] - Fix CLI Installer. (Seiger)
* [GitHub: 32f1834] - Fix Legacy/Cache/escapeDoubleQuotes(). (Seiger)
* [GitHub: 660d7d1] - Fix HTTPS:// for route(). (Seiger)
* [GitHub: 594dc1b] - Fix Mutate content dynamic. (Seiger)
* [GitHub: b1ad0b4] - Fix UK translate. (Seiger)
* [GitHub: 3fa7d70] - Fix Last login in Manager widget. (Seiger)
* [GitHub: 40219fb] - Fix Tree sorting if id is 0. (Seiger)
* [GitHub: 2ec0607] - Fix Friendly url in php 8.2. (Seiger)
* [GitHub: bbfc1b8] - Fix Attempt to modify property "config" on null. (Seiger)
* [GitHub: b1a7abe] - Fix Mainloader. (Seiger)
* [GitHub: dcd99ad] - Fix Double slashes in resourcePath(). (Seiger)

Evolution CMS 3.2.2 (May 30, 2023)
* [GitHub: a3ebb44] - Fix Version Updater. (Seiger)

Evolution CMS 3.2.1 (May 23, 2023)
* [GitHub: 0442861] - Fix Errors bkmanager. (Seiger )
* [GitHub: ff1d0b7] - Add Check Role and Blade directive. (Seiger)
* [GitHub: 2ccccc4] - Add Redirect after save configuration #91. (Seiger)
* [GitHub: 5c99f20] - Add Sortable Table in Manage Files #169. (Seiger)

Evolution CMS 3.2.0 (May 15, 2023)
* !!! Notice: minimum PHP version 8.1. !!!
* [GitHub: bb9e300] - Up Core to Laravel 10.x components (Seiger)
* [GitHub: 41b368d] - Fix for PHP 8.1 (Seiger)
* [GitHub: ef10cd2] - Add custom Icons for Modules (Seiger)
* [GitHub: 0524a8c] - Delete some deprecated methods (Ser1ous)
* [GitHub: c4ce08e] - Add Schedule (Seiger)
* [GitHub: e69a9bd] - Fixed RSS (elcreator)
* [GitHub: bb54535] - 3.x refactor (yama)

Evolution CMS 3.1.9 (Mar 1, 2022)
* [GitHub: b366ca68a] - Image of the entrance in accordance with the russian military invasion of Ukraine. (dmi3yy)

Evolution CMS 3.1.9 (Feb 17, 2022)
* [GitHub: 4daa05017] - Security fix Reflected XSS - RCE in Manager Panel, thanks Positive Technologies (dmi3yy)
* [GitHub: b4f46da0a] - fix for 3.1.8 (dmi3yy)
* [GitHub: 25ef5b193] - Update vendor folder (dmi3yy)
* [GitHub: 939f452a9] - update tracy. clear vendor (dmi3yy)
* [GitHub: 5eaee0269] - Update AbstractLaravel.php (zatomant)
* [GitHub: 079117fb8] - Update app.php (zatomant)
* [GitHub: 10ad672a9] - link change: http -> https (lazar2038)
* [GitHub: ac9b1073d] - PHP8 Error : Undefined array key "richtext" fix (lazar2038)
* [GitHub: 20ec67754] - Update remove_installer.processor.php (Martin Plavala)
* [GitHub: f7ae313ba] - Update Debugger.php (lazar2038)


Evolution CMS 3.1.8 (Jan 05, 2022)
* [GitHub: 0a0bbff33] - core (fix) lang in template (Serious)
* [GitHub: 740755d75] - core (fix) when user blockeduntil and blockedafter show info in global table fix #1784 (Serious)
* [GitHub: bbca383b4] - core (fix) search for all user who can view document fix #2015 (Serious)
* [GitHub: ace27c8ee] - update composer (dmi3yy)
* [GitHub: c798659aa] - [FIX] PHP 8.1 Deprecated: Function str_replace() and trim() is deprecated. (Serhii Kornelyuk)
* [GitHub: 18fc2e883] - [FIX] PHP 8.1 Deprecated: Function strftime() is deprecated in settings and dataGrid (Serhii Kornelyuk)
* [GitHub: 520b1539a] - [FIX] PHP 8.1 Deprecated: Function strftime() is deprecated (Serhii Kornelyuk)
* [GitHub: c4a34fd18] - check that request is set (mnoskov)
* [GitHub: e9ea41236] - [FIX] Deprecated: Function strftime() is deprecated in /www/public/core/src/Core.php on line 4639 (Serhii Kornelyuk)
* [GitHub: f2c36d6dc] - core (fix) Added controller Modules (s.kochin)
* [GitHub: 1ec509628] - core (add) Added controller Modules (s.kochin)
* [GitHub: 12ed837b8] - [F] missing Date import for functions now and today (mnoskov)
* [GitHub: 6dad9783e] - PHP Notice: Undefined variable: path_parts in .../www/core/src/HelperProcessor.php:26 (Kamil)
* [GitHub: f39547c46] - Update artisan (Ser1ous)
* [GitHub: 065a5c51d] - fix laravel session (mnoskov)
* [GitHub: 321daeff4] - Update Core.php (Ser1ous)


Evolution CMS 3.1.7 (Oct 06, 2021)
* [GitHub: d8f3cf066] - update composer, delete i-rocky/eloquent-dynamic-relation (Dmi3yy)
* [GitHub: f4e12443a] - revert ht.access (Dmi3yy)
* [GitHub: a2095509d] - Update Core.php (Ser1ous)
* [GitHub: 86b2aa463] - composite key query (mnoskov)
* [GitHub: 952842fef] - disable primary key (mnoskov)
* [GitHub: c3f69fce9] - overloadable methods for resulting thumbnames (mnoskov)
* [GitHub: 1b25bae9e] - fix error showing (mnoskov)
* [GitHub: 0c855b28c] - Bug fix salo (Ser1ous)
* [GitHub: 934868e23] - Add evolution-cms/salo package (Ser1ous)
* [GitHub: d3a296356] - Docker work update (Ser1ous)
* [GitHub: d7a3ca0a9] - prepare docker (Ser1ous)
* [GitHub: 9f08f0b76] - Fix user -> values relation (Dzhuryn Volodymyr)


Evolution CMS 3.1.6 (Jul 12, 2021)
* [GitHub: 3eaf63692] - fix phpthumb webp support (Dmi3yy)
* [GitHub: fd50690b7] - minify fixed js (mnoskov)
* [GitHub: 39af92a74] - fix: search in tv (Klym)
* [GitHub: f26debaaa] - Fix isDasboard to isDashboard(lost letter h) (by_scrimm)
* [GitHub: 3c5812cb6] - fix default views for links (mnoskov)
* [GitHub: 8dae96062] - default pagination lang (mnoskov)
* [GitHub: 2edc1f26f] - stop blockscreen after 3 secs (mnoskov)


Evolution CMS 3.1.5 (Jun 09, 2021)
* [GitHub: 67766f17e] - composer update (Dmi3yy)
* [GitHub: 67766f17e] hot fix in install (mnoskov)


Evolution CMS 3.1.4 (Jun 03, 2021)
* [GitHub: 67766f17e] - composer update (Dmi3yy)
* [GitHub: d0e0638b9] - update git ignore (Dmi3yy)
* [GitHub: 8ef8c052e] - fix config (mnoskov)
* [GitHub: 7a6a7fd29] - fix setLocale (mnoskov)
* [GitHub: d500d96ac] - fix setLocale/getLocale methods (mnoskov)
* [GitHub: f4f6e3fe9] - disable caching headers in ap (mnoskov)
* [GitHub: 11ae627c9] - removed environment method (mnoskov)
* [GitHub: e87bf1de7] - core (refactor) clear sprintf (Serious)
* [GitHub: e30d47046] - can hide modules from menu (mnoskov)
* [GitHub: 7bfe35115] - fix routes root, fix routes maked from ajax (mnoskov)
* [GitHub: 38f564a0f] - disable module routes in cli (mnoskov)
* [GitHub: a63fab38a] - trailing slash removed (mnoskov)
* [GitHub: f0a221e42] - fix validator helper (mnoskov)
* [GitHub: 466cf4fce] - default validation messages (mnoskov)
* [GitHub: c3c27543e] - add illuminate middlewares (mnoskov)
* [GitHub: 733f2a5dd] - routing for modules (mnoskov)
* [GitHub: 675ebb21a] - view, cache helpers (mnoskov)
* [GitHub: 7a3e93279] - add route func (mnoskov)
* [GitHub: bd8aa3745] - fix trace when file and line not set (mnoskov)
* [GitHub: c3552bddb] - fix classnames (mnoskov)
* [GitHub: b851b99c0] - stack renamed to global (mnoskov)
* [GitHub: e7d7a9f7d] - middleware priority, aliases, fixed bindings (mnoskov)
* [GitHub: 55eac0559] - core (add) add clear password fields in user settings (Serious)
* [GitHub: 994c73280] - fix classes (mnoskov)
* [GitHub: 18276b4fe] - restore app global middleware (mnoskov)
* [GitHub: 5651f138f] - fix views path setting (mnoskov)
* [GitHub: 51b34922c] - fix in CodeMirror (by_scrimm)
* [GitHub: a4b3cb79b] - Update 1.blade.php (Ser1ous)
* [GitHub: 270ff044b] - manager (add) add check user and resource groups (Serious)
* [GitHub: fb207dc0b] - Update index.php (Ser1ous)
* [GitHub: ededcfce9] - Update preload.php (Ser1ous)
* [GitHub: 12035a690] - Update global.php (masco123)
* [GitHub: 554f0ab83] - core (fix) Selected 'Minimum missed ID' fix #1927 (Serious)
* [GitHub: 0722c522c] - core (fix) view unpublished doc when auth in admin (Serious)
* [GitHub: 68f4dea82] - core (add) add OPTIMIZE TABLE function to Database class (Serious)
* [GitHub: be28955ac] - core (fix) fix CSRF validate when install (Serious)
* [GitHub: e20aeeed6] - Update global.php (masco123)
* [GitHub: 6b3ac823d] - Update global.php (masco123)
* [GitHub: 46b5f17b8] - Create ja.php (masco123)
* [GitHub: dc61268e6] - manager (add) add preview to image TVs (Serious)
* [GitHub: 0d5bc57dc] - manager (fix) fix check CSRF (Serious)
* [GitHub: 5a1ea8521] - Added method, which set empty request for console. Fix for ide-helper work and other packages which work in console, and needed request object (Dzhuryn Volodymyr)
* [GitHub: 1953356f3] - Remove blank method loadDeferredProviders from Path traits. This trait use only in one class, and parent this class has this working method (Dzhuryn Volodymyr)
* [GitHub: dfbd47d74] - Fix possibility pass query as string param in $ modx-> db-> getValue method, which was not documented in 1.4 but worked (Dzhuryn Volodymyr)
* [GitHub: cfaff08be] - seeders autoload by namespace (mnoskov)


Evolution CMS 3.1.3 (Mar 25, 2021)
* [GitHub: 2d7f11f37] - update phpthumb ( migrate to composer) (Dmi3yy)
* [GitHub: bbc97d752] - core (fix) change OnWebPagePrerender event (Serious)
* [GitHub: a46f9542d] - fix composer-merge-plugin version (Dmi3yy)
* [GitHub: 3ebfa0f17] - up from 1k to 3k update tree (Dmi3yy)
* [GitHub: 8e848b7f5] - return lost constant (Pathologic)
* [GitHub: c7debfab5] - Update ManagerTheme.php (Ser1ous)
* [GitHub: b266175f4] - Japanese update (masco123)
* [GitHub: cd5dc719c] - fix prefix (mnoskov)
* [GitHub: d33b53952] - fix backtrace (mnoskov)
* [GitHub: d4ccf1b3b] - console exceptions handling (mnoskov)
* [GitHub: 6226f01cd] - fix password field in extras (Dmi3yy)
* [GitHub: 801a0d9e3] - fix console detection (mnoskov)
* [GitHub: 2acdc2e1b] - disable exceptions handler in console (mnoskov)
* [GitHub: e7caa0920] - exceute parser only on notFound&notAllowed exception (mnoskov)
* [GitHub: b98305d39] - artisan route:list (mnoskov)
* [GitHub: 57aabc670] - core (fix) add check for admin (Ser1ous)
* [GitHub: 9616055db] - Update Core.php (Ser1ous)
* [GitHub: a561d02ef] - fix External image in [(login_logo)] #1468 (Dmi3yy)
* [GitHub: 8d99db88c] - fix Uses Template drop-down doesn't list templates by category #1893 (Dmi3yy)
* [GitHub: 863c2d19f] - fix [*pagetitle@1*] not working on Error page #1892 (Dmi3yy)
* [GitHub: 6196edd22] - Update ht.access (Ser1ous)
* [GitHub: 3b9d38ef1] - Update Core.php (Ser1ous)
* [GitHub: d2e93ccba] - fix {{chunk[+ph+]}} (Dmi3yy)
* [GitHub: 00359aecb] - Update Dockerfile (Pavel Bihel)
* [GitHub: a0beb80e0] - fix getLoginUserName (mnoskov)


Evolution CMS 3.1.2 (Feb 26, 2021)
* [GitHub:#1cea0f175] - composer update (Dmi3yy)
* [GitHub:#05da0b0e4] - fix query errors (Pathologic)
* [GitHub:#f45eca69c] - fix(manager): Save user without groups (Serg)
* [GitHub:#8d81e78fb] - lang (fix) delete error word (Ser1ous)
* [GitHub:#0c75c1796] - install (fix) fix check database EXISTS (Ser1ous)
* [GitHub:#72262db72] - core (add) add custom error file (Ser1ous)
* [GitHub:#8da8d7586] - fix disabled elements in headmenu (mnoskov)
* [GitHub:#cbacb5816] - core (fix) add user fields to exclude tvs name (Ser1ous)
* [GitHub:#2bbd37a4e] - fic getConfig for which_editor (Dmi3yy)
* [GitHub:#5f73258cc] - core (fix) add exception for github limits (Ser1ous)
* [GitHub:#20473423b] - core (fix) change cli check (Ser1ous)
* [GitHub:#18bc86e8e] - remove package.json (Dmi3yy)
* [GitHub:#8f01a3476] - install (fix) fix delete folder when use console update (Ser1ous)
* [GitHub:#bfca1888e] - hide mysql and postgree warning on install (Dmi3yy)


Evolution CMS 3.1.1 (Feb 18, 2021)
* [GitHub:#38cb480f8] - install (add) add new file for delete (Ser1ous)
* [GitHub:#9428c6612] - fix snippet share params (Dmi3yy)
* [GitHub:#d100720aa] - fix plugin share params (Dmi3yy)
* [GitHub:#b25dcf6a3] - core (fix) show chunk (Ser1ous)


Evolution CMS 3.1.0 (Feb 17, 2021)
* [GitHub:#53a3b815d] - core (fix) fix select default package (Ser1ous)
* [GitHub:#4eb046ddf] - core (fix) fix incorrect Content Type (Ser1ous)
* [GitHub:#067b32616] - fixed Uploadable Flash Types (System Config.) #1858 (Dmi3yy)
* [GitHub:#8569b71cb] - fix Module Extras install packages error (Dmi3yy)
* [GitHub:#aa1e20876] - composer (refactor) set version to services package (Ser1ous)
* [GitHub:#8c2ec2eda] - core (refactor) remove DocumentManager from core (Ser1ous)
* [GitHub:#a8a38beae] - core (refactor) remove UserManager from core (Ser1ous)
* [GitHub:#8985df747] - Add properties for TV with type "number" (milkamil93)
* [GitHub:#43f60406d] - check context for permissions (Pathologic)
* [GitHub:#a043ee3f5] - fix langs in extras (Dmi3yy)
* [GitHub:#266435480] - users refactor (Pathologic)
* [GitHub:#cb2090f06] - core (add) add work with transactions (Ser1ous)
* [GitHub:#8626710e3] - Add properties for TV with type "number" (milkamil93)
* [GitHub:#05e12793e] - install (fix) fix delete files and path (Ser1ous)
* [GitHub:#5585dcbd6] - core (refactor) rename donthit to hide_from_tree column (Ser1ous)
* [GitHub:#38dc4771a] - core (add) add NO_SESSION constant (Ser1ous)
* [GitHub:#314e7ea6e] - install (add) add remove not used files (Ser1ous)
* [GitHub:#cfa452baa] - core (fix) change namespace for Evolution Services (Ser1ous)
* [GitHub:#862e756c6] - fix roletmplvars in headmenu (mnoskov)



Evolution CMS 3.0.2 (Feb 10, 2021)
* [GitHub:#52aea613d] - composer update (Dmi3yy)
* [GitHub:#77a37990d] - fix updater plugin (Dmi3yy)
* [GitHub:#b69ac3dc2] - install (fix) changed minimum required version php (Ser1ous)
* [GitHub:#37a3a4378] - core (add) add check user and check before delete user (aleksandrpaskevic)
* [GitHub:#4e88f6c85] - core (add) add truncate Active Users table when remove all locks (aleksandrpaskevic)
* [GitHub:#f7082a76d] - core (add) add new index for site_content table (aleksandrpaskevic)
* [GitHub:#0c4fec450] - Added the new English Forum to the References links (Marc)
* [GitHub:#673d03bdc] - core (add) add new option for disabled cache chunk, snippets, plugins (aleksandrpaskevic)
* [GitHub:#6a78c7780] - core (add) add new option for disabled aliaslisting to all site (aleksandrpaskevic)
* [GitHub:#f055dfab4] - core (fix) change redirect type for url to 302 (aleksandrpaskevic)
* [GitHub:#41df52e8f] - extras (refactor) fixed incorrect eloquent queries (aleksandrpaskevic)
* [GitHub:#62f6f780c] - extras (refactor) fix package installation and fix language (aleksandrpaskevic)


Evolution CMS 3.0.1 (Feb 01, 2021)
* [GitHub:#6e9aa7b65] - extras (refactor) add version for store.js (Serious)
* [GitHub:#121c40ea7] - extras (refactor) add check for plugins and snippet installed (Serious)
* [GitHub:#fb66e044b] - manager (fix) fix save user data (Serious)
* [GitHub:#a2961cf90] - Update README (Marc)
* [GitHub:#59626b9ea] - core (fix) fix #1819 notice on dob field (Serious)
* [GitHub:#04fb0bdad] - core (fix) fix #1818 error when use @csrf (Serious)
* [GitHub:#7dc58973a] - install (fix) change language list to strtoupper (Serious)
* [GitHub:#fd34dd2ab] - manager (fix) change language list to strtoupper (Serious)
* [GitHub:#5ac0fd0e7] - core (fix) add exception for redis session handler (Serious)
* [GitHub:#3dcdae6ae] - core (fix) fix legacy parser (Serious)
* [GitHub:#889890b73] - core (fix) fix MGR_DIR in old file (v)
* [GitHub:#ed4ef5f53] - core (fix) fix table name (Serious)
* [GitHub:#fb4df776d] - core (fix) delete not used allow_manager_access (Serious)
* [GitHub:#3837d4da0] - core (fix) run evolution cms parser when laravel route fail (Serious)
* [GitHub:#0831360fd] - Update files.dynamic.php (Mr B)
* [GitHub:#0fdf7e766] - Update Readme (Marc)
* [GitHub:#50f522dde] - Added Youtube channel and Telegram (Marc)
* [GitHub:#4f984ec72] - manager (fix) context menu fix #1793 (Serious)
* [GitHub:#6e46c912d] - manager (fix) can edit trashed documents (Serious)
* [GitHub:#71f740ec6] - manager (fix) check user before work with him (Serious)
* [GitHub:#dd6dc20b6] - core (fix) fix laravel router (Serious)
* [GitHub:#94dcc75e6] - manager (fix) fix login errors (Serious)


Evolution CMS 3.0 (Jan 23, 2021)
* [GitHub:#d73ad12ac] - install (fix) Fix check prefix table (Serious)
* [GitHub:#0cab2c12f] - core (upd) Composer update (Serious)
* [GitHub:#73b85e6ae] - manager (fix) correct button position #1778 (Serious)
* [GitHub:#1bc7074ad] - shame on you (Pathologic)
* [GitHub:#7681b1da5] - Fix mispositioned checkbox (Sasha Beep)
* [GitHub:#0dbb436c6] - install (fix) fix install create database (Serious)
* [GitHub:#75520088b] - core (fix) more one fix for check redis connect (Serious)
* [GitHub:#fee58d1ba] - core (fix) more one fix for check redis connect (Serious)
* [GitHub:#2c6f9b0d3] - core (fix) additional fix for check redis connect (Serious)
* [GitHub:#bbf112319] - manager (fix) fix user list, remove debug (Serious)
* [GitHub:#65007163d] - core (fix) fix user list (Serious)
* [GitHub:#6d626ff26] - core (fix) fix count elements (Serious)
* [GitHub:#599e47a7a] - core (fix) fix ajax elements (Serious)
* [GitHub:#9a74461c8] - core (fix) add old method for get db->config (Serious)
* [GitHub:#a2793c158] - core (fix) add site_content table for all fields without dot in method getPageInfo (aleksandrpaskevic)
* [GitHub:#8e6898089] - core (fix) fix pager (Serious)
* [GitHub:#d5e143ba9] - core (fix) fix query for work with pgsql (Serious)
* [GitHub:#8082778a7] - core (fix) fix disabled tmplvarid (Serious)
* [GitHub:#604455d6b] - Fix Database.php settings name for connection ($modx->db->connect();) Fix bug for tvs, which using in user form
* [GitHub:#8b69fea0b] - core (fix) fix logout when u logout (Serious)
* [GitHub:#5df7724d1] - core (fix) fix logout when u logout (Serious)
* [GitHub:#f899593a8] - core (fix) fix config for redis sessions (Serious)
* [GitHub:#f368696e4] - core (fix) more one fix config for redis cache (Serious)
* [GitHub:#162580990] - core (fix) fix config for redis cache (Serious)
* [GitHub:#6e7cd3e7a] - Update Collection.php (Ser1ous)
* [GitHub:#1c9b7963e] - core (fix) change redis connection config (Serious)
* [GitHub:#9bd0698e4] - Update Core.php (Ser1ous)
* [GitHub:#c4288a6cc] - core (fix) small fix for isset variable (Serious)
* [GitHub:#aa9bc555e] - core (fix) add config for redis cache (Serious)
* [GitHub:#cf4716816] - manager (add) first_name, last_name, middle_name to email message from manager (Serious)
* [GitHub:#8c130e526] - Fix $db params in extras module (Scrimmer)
* [GitHub:#4b7b7f88c] - fix eventlog date (mnoskov)


Evolution CMS 3.0.0rc3 (Dec 25, 2020)
* [GitHub:#bbd22ce8a] - core (fix) add new_id to OnDocDuplicate (aleksandrpaskevic)
* [GitHub:#836872d28] - core (fix) fix modules install (aleksandrpaskevic)
* [GitHub:#b5ce74a49] - fix error msg (Dmi3yy)
* [GitHub:#857ebad49] - core (fix) fix get custom content type (aleksandrpaskevic)
* [GitHub:#a794a15aa] - add storage_path path and fix bkmanager (Dmi3yy)
* [GitHub:#41c3d923f] - core (fix) add moduleguid nullable in plugins (aleksandrpaskevic)
* [GitHub:#b4b07008a] - Update DocumentCreate.php (Ser1ous)
* [GitHub:#5e292a825] - Update DocumentEdit.php (Ser1ous)
* [GitHub:#a2f95276b] - Hot fix (Kamil)
* [GitHub:#a48b85fd0] - fix for Flysystem\Adapter\Local (Dmi3yy)
* [GitHub:#dc358af2a] - Update README.md (Vitalii Rudnykh)
* [GitHub:#dfdc7fad9] - fix, sessions dir (mnoskov)
* [GitHub:#4ef64a5a3] - fix for DotEnv (Dmi3yy)
* [GitHub:#251ffdd0f] - Update Core.php (Ser1ous)
* [GitHub:#f745a02c3] - url() function - short alias for UrlProcessor::makeUrl (mnoskov)
* [GitHub:#5547867e0] - config for custom global middleware (mnoskov)
* [GitHub:#c6d18ea47] - laravels session, global middleware (mnoskov)
* [GitHub:#2eda6607e] - backup (fix) fix delete user role (aleksandrpaskevic)
* [GitHub:#7183dd968] - backup (fix) add host to backup and repair (aleksandrpaskevic)
* [GitHub:#c7b79f212] - add id to input id (Dmi3yy)
* [GitHub:#00fd39711] - fixed bug in create document function (dedli888)
* [GitHub:#cbaa58b82] - fixed bug edit user role (dedli888)
* [GitHub:#61aea2f97] - fixed bug with users (dedli888)
* [GitHub:#fc11f7827] - core (fix) composer update (aleksandrpaskevic)
* [GitHub:#14262f316] - core (fix) fix connect to database (aleksandrpaskevic)
* [GitHub:#742c82172] - fix blade directive makeUrl (Dmi3yy)
* [GitHub:#cedd7cf51] - fix blade directive makeUrl (Dmi3yy)
* [GitHub:#c4d3696df] - Update instprocessor-fast.php (Ser1ous)
* [GitHub:#2dd0fbcd3] - add in_manager_mode for artisan (Dmi3yy)
* [GitHub:#10a8a8ec9] - on click element open in new tab (Dmi3yy)
* [GitHub:#c475cdaa4] - fix bladeDirective for MakeUrl (Dmi3yy)
* [GitHub:#cdf2f3ce5] - remove TinyMCE4 from core, use from Extras (Dmi3yy)
* [GitHub:#df00eb7da] - fix protected property EvolutionCMS\Database::$config (mnoskov)
* [GitHub:#02dc3b0bb] - expects parameter 1 to be string, array given (Kamil)
* [GitHub:#25522740d] - PHP Notice: Undefined index: mgrRole (Kamil)
* [GitHub:#1ebc2640e] - fix error "Cannot access protected property EvolutionCMS\Database::$config" (mnoskov)
* [GitHub:#547bf3cb4] - fix for TinyMCE5 (Dmi3yy)
* [GitHub:#a86b7643e] - core (fix) add Config facade (aleksandrpaskevic)
* [GitHub:#b4adae86c] - core (fix) fix cli install for php 8 (aleksandrpaskevic)
* [GitHub:#d341a8161] - PHP Notice: Undefined variable: group_tvs inmutate_content.dynamic.php:1334 (Kamil)
* [GitHub:#7210d7df1] - core (fix) remove services who loading in config/app (aleksandrpaskevic)
* [GitHub:#a79186669] - core (fix) fix connect to database (aleksandrpaskevic)
* [GitHub:#855d33e5e] - core (fix) fix connect to database (aleksandrpaskevic)
* [GitHub:#c3e1d4964] - Fixed field "properties" (Kamil)
* [GitHub:#41d6c9237] - core (fix) Extras module php 8.0 (aleksandrpaskevic)
* [GitHub:#9b468eeac] - core (fix) Extras module php 8.0 (aleksandrpaskevic)
* [GitHub:#be034f9bc] - core (fix) create and edit module php 8.0 (aleksandrpaskevic)
* [GitHub:#7d176bb52] - Update class.modxRTEbridge.php (Ser1ous)
* [GitHub:#b3939b95a] - core (fix) fix install and user manager for php 8.0 (aleksandrpaskevic)
* [GitHub:#069bd0c49] - core (fix) fix install for php 8.0 (aleksandrpaskevic)
* [GitHub:#8d05ecce7] - core (fix) fix install (aleksandrpaskevic)
* [GitHub:#a3b83f3a2] - core (fix) small fix for 8.0 (aleksandrpaskevic)
* [GitHub:#2624228cc] - fix rotate_log query (mnoskov)
* [GitHub:#e6dccdec9] - Fix tab name for GroupTV (Kamil)
* [GitHub:#583ec0409] - update composer (Dmi3yy)
* [GitHub:#2b5d0b7a1] - update composer (Dmi3yy)
* [GitHub:#a6f05c7fa] - update composer (Dmi3yy)
* [GitHub:#c6fdf5dd2] - Revert "core (fix) up version package league/flysystem" (Dmi3yy)
* [GitHub:#69321da0b] - core (fix) up version package league/flysystem (aleksandrpaskevic)
* [GitHub:#e7cd8ddf9] - core (fix) fix parent Id when press Save and New (aleksandrpaskevic)
* [GitHub:#5405cd412] - core (fix) composer update (aleksandrpaskevic)
* [GitHub:#7c9b2c0a9] - core (fix) fix small deprecated and install (aleksandrpaskevic)
* [GitHub:#5ec3a535a] - Update Collection.php (Ser1ous)
* [GitHub:#58a5f69ea] - update composer (Dmi3yy)
* [GitHub:#a9cc2a6bd] - fix menuindex bug (Dmi3yy)
* [GitHub:#63173eea1] - core(add) Add Auth facade who work like Laravel Auth (aleksandrpaskevic)
* [GitHub:#9c28f84cf] - Update SiteContent.php (Ser1ous)
* [GitHub:#adf7e3dbd] - add middleware VerifyCsrfToken (Dmi3yy)
* [GitHub:#c63dbdb88] - add @csrf field need middleware for that (Dmi3yy)
* [GitHub:#cebe20f74] - update composer (Dmi3yy)
* [GitHub:#2dace8bfa] - fix error "Using $this when not in object context" (mnoskov)
* [GitHub:#0885c7706] - update composer (Dmi3yy)
* [GitHub:#42225d3df] - update min php to 7.3 (Dmi3yy)
* [GitHub:#4e0e50fab] - add guzzlehttp (Dmi3yy)
* [GitHub:#bc7378750] - add Laravel Http fix redis fix Aliases (Dmi3yy)
* [GitHub:#bd62d51b4] - update to Laravel 8 (Dmi3yy)
* [GitHub:#83a6c0f34] - fix make:site update (Dmi3yy)
* [GitHub:#f6c9e310f] - fix packageCommand error with foreach not array (Dmi3yy)
* [GitHub:#20bca41f1] - fix for composer 2.0 (Dmi3yy)
* [GitHub:#47c96a30c] - core (fix) add version param to update evo (aleksandrpaskevic)
* [GitHub:#c08970e93] - core (fix) add helpers and some alias to facade (aleksandrpaskevic)
* [GitHub:#41ba99092] - fix, lost var (mnoskov)
* [GitHub:#cf785f09d] - ability to move template initialization to `main` method (mnoskov)
* [GitHub:#59c75fe61] - core (fix) fix Manager Middleware (aleksandrpaskevic)
* [GitHub:#cac30cbca] - core (fix) add Manager Middleware (aleksandrpaskevic)
* [GitHub:#45e09a298] - tv for user roles (mnoskov)
* [GitHub:#19aa4c06e] - dependency injections in template controllers (mnoskov)
* [GitHub:#35ff853a0] - short name for evolutionCMS (mnoskov)
* [GitHub:#6687e789c] - tree resources moving refactor (mnoskov)
* [GitHub:#6f7d2adda] - fix public_path function (Dmi3yy)
* [GitHub:#8402b1f12] - fix user fields (mnoskov)
* [GitHub:#56d407b35] - core (fix) fix getDocuments for auth web users (aleksandrpaskevic)
* [GitHub:#f9cace8a7] - fix auto_template_logic (mnoskov)
* [GitHub:#01792d441] - set passes if parsing forced (mnoskov)
* [GitHub:#201363fc8] - core (add) some clear files and add @auth and @guest directives (aleksandrpaskevic)
* [GitHub:#fb25932b7] - core (add) add auth and hash illuminate packages (aleksandrpaskevic)
* [GitHub:#9c1eaea38] - core (fix) add delete file service.php (aleksandrpaskevic)
* [GitHub:#99b5d4bfb] - core (fix) add alias Request for facade Laravel Request (aleksandrpaskevic)
* [GitHub:#67bdf2e1d] - core (fix) add alias Route for facade Laravel Route (aleksandrpaskevic)
* [GitHub:#bee714404] - core (fix) add alias Route for facade Laravel Route (aleksandrpaskevic)
* [GitHub:#14853981b] - core (fix) fix function class (aleksandrpaskevic)
* [GitHub:#259e23238] - core (add) add DocumentManager clearCart, delete, undelete, publish,  unpublish, setGroups (aleksandrpaskevic)
* [GitHub:#7dd34baf9] - core (add) add DocumentManager create, edit, duplicate (aleksandrpaskevic)
* [GitHub:#8a191b5a5] - add public_path function (Dmi3yy)
* [GitHub:#7cf345b3c] - fix login logo for mac os safari (Dmi3yy)
* [GitHub:#e35d2090e] - core (fix) fix UserManager::edit, add change username (aleksandrpaskevic)
* [GitHub:#ecf8698f5] - alias for request (mnoskov)
* [GitHub:#bbf7534e0] - Update UserSaveSettings.php (Ser1ous)
* [GitHub:#c517fe455] - OnFileBrowserInit lost event (mnoskov)
* [GitHub:#4d96ae260] - core (add) add UserManager::loginById (aleksandrpaskevic)
* [GitHub:#ca471e3a3] - core (add) add clearSettings and rewrite saveSettings to update (aleksandrpaskevic)
* [GitHub:#11bd69108] - fallback to parser method (mnoskov)
* [GitHub:#f2bafd55c] - core (fix) prepare to DocumentManager (aleksandrpaskevic)
* [GitHub:#3c53b9241] - core (fix) fix redirect when user auth and in group (aleksandrpaskevic)
* [GitHub:#4a7f75c04] - core (fix) fix create closure records when duplicate documents (aleksandrpaskevic)
* [GitHub:#05e243e8c] - core (fix) fix notice tinymce (aleksandrpaskevic)
* [GitHub:#723d29a0e] - core (fix) fix private web documents (aleksandrpaskevic)
* [GitHub:#c476f5265] - core (fix) fix logout errors (aleksandrpaskevic)
* [GitHub:#27ef2f1bd] - core (add) add verification for UserManager (aleksandrpaskevic)
* [GitHub:#c26557b7d] - core (fix) fix api functions for work with new users (aleksandrpaskevic)
* [GitHub:#1c5f38046] - respect user setting "allow_manager_access" (mnoskov)
* [GitHub:#38a778e8a] - core (fix) add key tree for scopeWithTVs (aleksandrpaskevic)
* [GitHub:#457de6291] - core (fix) fix tracy panel for work with user (aleksandrpaskevic)
* [GitHub:#95422a1a8] - core (fix) fix getDocuments (aleksandrpaskevic)
* [GitHub:#3166ce4cf] - core (fix) fix duplicate tv (aleksandrpaskevic)
* [GitHub:#726b562d2] - fix eventslog order direction (mnoskov)
* [GitHub:#d478dcd75] - core (add) add middleware for check user auth (aleksandrpaskevic)
* [GitHub:#9b09549c0] - core (add) add generate and save password function (aleksandrpaskevic)
* [GitHub:#421cfd8c9] - core (add) add access and refresh token to login user (aleksandrpaskevic)
* [GitHub:#7057b427a] - Update global.php (masco123)
* [GitHub:#bf8d0431a] - core (fix) fix Deprecated (aleksandrpaskevic)
